BACKUP_ADDVOLSET(8)

NAME
backup_addvolset - Creates a new (empty) volume set

SYNOPSIS
backup addvolset B<-name> <I<volume set name>> [-temporary]
    [-localauth] [B<-cell> <I<cell name>>] [-help]

backup addvols B<-n> <I<volume set name>> [-t] [-l]
    [B<-c> <I<cell name>>] [-h]

DESCRIPTION
The backup addvolset command creates a new volume set, by default adding it to the Backup Database. It is best that the volume set's name indicate the volume set's contents; for example, define the volume entries in the "user" volume set to match all user volumes. The volume set name must be unique within the Backup Database of the local cell.

After issuing this command, issue the backup addvolentry command to define the volume entries in the volume set.

Sometimes it is convenient to create volume sets without recording them permanently in the Backup Database, for example when using the backup volsetrestore command to restore a group of volumes that were not necessarily backed up together. To create a temporary volume set, include the -temporary flag. A temporary volume set exists only during the lifetime of the current interactive session, so the flag is effective only when used during an interactive session (opened by issuing the backup interactive command). If it is included when the command is issued at the regular command shell prompt, the command appears to succeed, but the volume set is not created. As noted, a temporary volume set ceases to exist when the current interactive session ends, or use the backup delvolset command to delete it before that.

One advantage of temporary volume sets is that the backup addvolset command, and any backup addvolentry commands subsequently used to add volume entries to it, complete more quickly than for regular volume sets, because no records are created in the Backup Database.

OPTIONS

-name <volume set name>
    Names the new volume set. The name can include up to 31 of any character other than the period. Avoid other metacharacters as well.

-temporary
    Creates a volume set that exists only within the context of the current interactive session. It is not added to the Backup Database.

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command creates a volume set called "sys":

   % backup addvolset sys

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
backup(8), backup_addvolentry(8), backup_delvolentry(8), backup_delvolset(8), backup_listvolsets(8), backup_volsetrestore(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.